%% This script constructs the narrative surprise measures
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


savePath    = '.\results';
loadPath    = savePath;

%% Get the changes in tone-weighted narratives
d_mn = []; % Difference between media and mp communication
d_nn = []; % Difference between media before and after mp communication

for db = daysToLookBack
    results         = load(fullfile(loadPath, ['identifiedFactors_db' int2str(db) '.mat']), 'eba_xn_sentiment', 'news_bxn_sentiment',  'news_axn_sentiment',...
                                                    'sumDiffTimeSeries_indi', 'sumDiffTimeSeries_indi_ba', 'eba_dates');        
    x4              = (zscore(results.eba_xn_sentiment) - zscore(results.news_bxn_sentiment));        
    x5              = (zscore(results.news_axn_sentiment) - zscore(results.news_bxn_sentiment));
    
    x1               = results.sumDiffTimeSeries_indi(:, 1).*x4;
    x2               = results.sumDiffTimeSeries_indi_ba(:, 1).*x5;

    eba_dates       = results.eba_dates;
    
    d_mn            = cat(2, d_mn, x1);
    d_nn            = cat(2, d_nn, x2);            
end

%% Save
save( fullfile(savePath, ['narrativeSurpriseSign.mat']), 'd_mn', 'd_nn', 'eba_dates', 'daysToLookBack');

