%% This script produces figures similar to Fig. 1 in the paper
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

savePath        = '.\figures';          
loadPath        = '.\results';

%%
daysToLookBack      = 1 : 10;

%% Get factors...
[factors_svd_id_eba, factors_svd_id_news] = deal([]);
for db = daysToLookBack
    results                 = load(fullfile(loadPath, ['identifiedFactors_db' int2str(db) '.mat']), 'factors_svd_id_eba', 'factors_svd_id_news');
    factors_svd_id_eba      = cat(3, factors_svd_id_eba, results.factors_svd_id_eba);
    factors_svd_id_news     = cat(3, factors_svd_id_news, results.factors_svd_id_news);
end

%% .. and name...
results                 = load(fullfile(loadPath, ['identifiedFactors_db' int2str(db) '.mat']), 'factorNameIdListShort', 'eba_dates');

%% Individual factors
dates = cellstr(results.eba_dates);
xtick = floor(linspace(1, numel(dates), 5));

for i = 1 : numel(results.factorNameIdListShort)
    fh = figure('name', results.factorNameIdListShort{i});
    p1 = plot(zscore(permute(factors_svd_id_news(:, i, :), [1 3 2])), 'color', [0.8 0.8 0.8], 'linewidth', 2, 'linestyle', '-');        
    hold on    
    p3 = plot(zscore(permute(factors_svd_id_eba(:, i, :), [1 3 2])), 'color', [0 0 0], 'linewidth', 2);    
    
    set(gca, 'xtick', xtick,  'xtickLabelRotation', 0, 'XTickLabel', dates(xtick))    
    box off
    axis tight
    
    saveas(gcf,fullfile(savePath, ['individualFactorTopic_' results.factorNameIdListShort{i} '.png']))
            
end








    

        
        
        